[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [PATCH] add amd64 to release-notes



On Sunday 12 June 2005 20:49, Frans Pop wrote:
> That's not needed. I have the patch almost ready and will send it to
> you for review this evening. There are some other technical changes I
> made as well.

Here's the proposed patch. Please check carefully.
The diff is against revision 1.56 (committed this evening).

Note that I've changed the para that was added in the opening of chapter 
2. It is now only displayed for i386 and amd64 and refers to the port web 
page for further info. I do not think that displaying this para for other 
archs has any value.

Note also that the changes in release-notes.ent are a bit larger than 
strictly needed because of some restructuring.

Cheers,
Frans

Index: release-notes.ent
===================================================================
RCS file: /cvs/debian-doc/ddp/manuals.sgml/release-notes/release-notes.ent,v
retrieving revision 1.15
diff -u -r1.15 release-notes.ent
--- release-notes.ent	31 May 2005 23:10:49 -0000	1.15
+++ release-notes.ent	12 Jun 2005 19:53:20 -0000
@@ -11,13 +11,45 @@
 
 -->
 
+<!-- architecture list; conditional definitions are used to emit 
+     the proper version of the documentation.  You should be able to run
+     your SGML processor with '-i <arch>' in order to change the
+     architecture.  Note the comments are magic; they help the
+     Makefile so it knows the available architectures, so don't mess
+     with them. -->
+<!entity % alpha   "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % amd64   "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % arm     "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % hppa    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % i386    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % ia64    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % m68k    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % mips    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % mipsel  "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % powerpc "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % s390    "IGNORE"><!-- ARCHMAGIC do not remove -->
+<!entity % sparc   "IGNORE"><!-- ARCHMAGIC do not remove -->
+
 <!-- whether or not to show the FIXME stuff -->
 <!entity % FIXME "INCLUDE">
 
 <!-- proper (long) name to use for Debian -->
 <!entity debian "Debian GNU/Linux">
 
+<!-- release data -->
+<!entity release "3.1">
+<!entity releasename "sarge">
+<!entity oldreleasename "woody">
+
+
 <!-- URLs -->
+<![ %amd64 [
+<!entity url-release-notes "http://amd64.debian.net/docs/release-notes/";>
+<!entity url-installer "http://amd64.debian.net/docs/debian-installer/";>
+<!entity url-install-manual "http://amd64.debian.net/docs/installmanual";>
+<!entity url-debian-mirrors "http://amd64.debian.net/README.mirrors.html";>
+]]>
+
 <!entity url-release-notes "http://www.debian.org/releases/stable/releasenotes";>
 <!entity url-installer "http://www.debian.org/releases/stable/debian-installer/";>
 <!entity url-install-manual "http://www.debian.org/releases/stable/installmanual";>
@@ -35,6 +67,7 @@
 <!entity url-irc-host "http://freenode.net/";>
 <!entity debian-irc-server "irc.debian.org">
 <!entity url-ports "http://www.debian.org/ports/&architecture;/";>
+<!entity url-port-amd64 "http://www.debian.org/ports/amd64/";>
 <!entity url-wnpp "http://www.debian.org/devel/wnpp/";>
 <!entity url-ddp "http://www.debian.org/doc/ddp";>
 <!entity url-debian-jr "http://www.debian.org/devel/debian-jr/";>
@@ -46,31 +79,9 @@
 <!entity url-kernel-upgrade "http://ftp.debian.org/debian/dists/sarge/main/upgrade-kernel ./">
 <!entity deb-kernel-upgrade "http://ftp.debian.org/debian/dists/sarge/main/upgrade-kernel";>
 
-<!-- release data -->
-<!entity release "3.1">
-<!entity releasename "sarge">
-<!entity oldreleasename "woody">
-
-<!-- architecture list; conditional definitions are used to emit 
-     the proper version of the documentation.  You should be able to run
-     your SGML processor with '-i <arch>' in order to change the
-     architecture.  Note the comments are magic; they help the
-     Makefile so it knows the available architectures, so don't mess
-     with em. -->
-<!entity % alpha   "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % arm     "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % hppa    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % i386    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % ia64    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % m68k    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % mips    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % mipsel  "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % powerpc "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % s390    "IGNORE"><!-- ARCHMAGIC do not remove -->
-<!entity % sparc   "IGNORE"><!-- ARCHMAGIC do not remove -->
-
 <!-- proper nouns for architectures -->
 <![ %alpha   [ <!entity arch-title "Alpha"         > ]]>
+<![ %amd64   [ <!entity arch-title "AMD64"         > ]]>
 <![ %arm     [ <!entity arch-title "ARM"           > ]]>
 <![ %hppa    [ <!entity arch-title "PA-RISC"       > ]]>
 <![ %i386    [ <!entity arch-title "Intel x86"     > ]]>
@@ -85,6 +96,7 @@
 
 <!-- 2.6 kernel available -->
 <![ %alpha   [ <!entity % available-2.6 "INCLUDE"> ]]>
+<![ %amd64   [ <!entity % available-2.6 "INCLUDE"> ]]>
 <![ %i386    [ <!entity % available-2.6 "INCLUDE"> ]]>
 <![ %ia64    [ <!entity % available-2.6 "INCLUDE"> ]]>
 <![ %powerpc [ <!entity % available-2.6 "INCLUDE"> ]]>
@@ -98,7 +110,9 @@
 <![ %sparc   [ <!entity % d-i-avail-2.6 "INCLUDE"> ]]>
                <!entity % d-i-avail-2.6 "IGNORE">
 
+
 <!-- 2.6 kernel default for Debian Installer -->
+<![ %amd64   [ <!entity % d-i-default-2.6 "INCLUDE"> ]]>
 <![ %hppa    [ <!entity % d-i-default-2.6 "INCLUDE"> ]]>
 <![ %powerpc [ <!entity % d-i-default-2.6 "INCLUDE"> ]]>
                <!entity % d-i-default-2.6 "IGNORE">
@@ -106,6 +120,8 @@
 <!-- negatives about architectures -->
 <![ %alpha   [ <!entity % not-alpha   "IGNORE"> ]]>
                <!entity % not-alpha   "INCLUDE">
+<![ %amd64   [ <!entity % not-amd64   "IGNORE"> ]]>
+               <!entity % not-amd64   "INCLUDE">
 <![ %arm     [ <!entity % not-arm     "IGNORE"> ]]>
                <!entity % not-arm     "INCLUDE">
 <![ %hppa    [ <!entity % not-hppa    "IGNORE"> ]]>
@@ -127,6 +143,10 @@
 <![ %sparc   [ <!entity % not-sparc   "IGNORE"> ]]>
                <!entity % not-sparc   "INCLUDE">
 
+<![ %i386    [ <!entity % i386-amd64  "INCLUDE"> ]]>
+<![ %amd64   [ <!entity % i386-amd64  "INCLUDE"> ]]>
+               <!entity % i386-amd64  "IGNORE">
+
 <![ %not-mips [
     <![ %not-mipsel [
         <!entity % mips-mipsel "IGNORE">
@@ -155,6 +175,7 @@
 
 <!-- default kernel version, taken from d-i... -->
 <![ %alpha   [ <!entity kernelversion "2.4.27"> ]]>
+<![ %amd64   [ <!entity kernelversion "2.6.8"> ]]>
 <![ %arm     [ <!entity kernelversion "2.4.27"> ]]>
 <![ %hppa    [ <!entity kernelversion "2.6.8"> ]]>
 <![ %i386    [ <!entity kernelversion "2.4.27"> ]]>
@@ -169,14 +190,15 @@
 
 <!-- 2.6 kernel versions -->
 <![ %alpha   [ <!entity kernelversion-2.6 "2.6.8"> ]]>
+<![ %amd64   [ <!entity kernelversion-2.6 "2.6.8"> ]]>
 <![ %i386    [ <!entity kernelversion-2.6 "2.6.8"> ]]>
 <![ %ia64    [ <!entity kernelversion-2.6 "2.6.8"> ]]>
 <![ %powerpc [ <!entity kernelversion-2.6 "2.6.8"> ]]>
 <![ %sparc   [ <!entity kernelversion-2.6 "2.6.8"> ]]>
 <![ %s390    [ <!entity kernelversion-2.6 "2.6.8"> ]]>
-
                <!entity kernelversion-2.6 "unknown??">
 
+
 <!-- kernel upgrade prior to dist-upgrade needed -->
 <![ %i386    [ <!entity % glibcneedsnewkernel "INCLUDE"> ]]>
 <![ %hppa    [ <!entity % glibcneedsnewkernel "INCLUDE"> ]]>
@@ -217,7 +239,6 @@
 <!entity mipsel-kernel-image-r5k-lasat "kernel-image-2.4.27-r5k-lasat_2.4.27-8.040815-1_mipsel.deb" >
 <!entity mipsel-kernel-image-swarm "kernel-image-2.4.27-sb1-swarm-bn_2.4.27-8.040815-1_mipsel.deb" >
 <!entity mipsel-kernel-image-xxs1500 "kernel-image-2.4.27-xxs1500_2.4.27-8.040815-1_mipsel.deb" >
-
 
 <![ %sparc [
 <!entity upgrade-kernel-image "&sparc-kernel-image;" >
Index: en/release-notes.en.sgml
===================================================================
RCS file: /cvs/debian-doc/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml,v
retrieving revision 1.56
diff -u -r1.56 release-notes.en.sgml
--- en/release-notes.en.sgml	12 Jun 2005 19:08:34 -0000	1.56
+++ en/release-notes.en.sgml	12 Jun 2005 19:53:22 -0000
@@ -58,6 +58,17 @@
           information for your architecture at the <url id="&url-ports;"
           name="Debian port web pages">.</p>
 
+<![ %i386-amd64 [
+        <p>Owners of an AMD64 system now also have the option of installing
+        the AMD64 port. Note that, although a complete port based on
+        unpatched sources is available, the AMD64 architecture is not
+        officially supported. Despite being unofficial, this port has complete
+        security support by the &debian; security team, and is supported by
+        the volatile and backports services. More information on the status
+        of the AMD64 port is available from the <url id="&url-port-amd64;"
+        name="AMD64 port web pages">.</p>
+]]>
+
 <![ %secondrelease [
 
           <p>This is only the second official release of &debian; for the
@@ -72,6 +83,7 @@
 ]]>
 
 <![ %not-m68k [
+<![ %not-amd64 [
           <p>&debian; &release; for the &arch-title; architecture ships with
           kernel version &kernelversion;.</p>
 
@@ -81,7 +93,15 @@
           kernel packages include the 2.6.8.1 kernel release and selected other
           patches.</p>
 ]]>
-]]> <!-- %m68k -->
+]]> <!-- %not-amd64 -->
+]]> <!-- %not-m68k -->
+
+<![ %amd64 [
+          <p>For the &arch-title; architecture only a 2.6 kernel is available
+          with kernel version &kernelversion-2.6;. Note that Debian's 2.6.8
+          kernel packages include the 2.6.8.1 kernel release and selected
+          other patches.</p> 
+]]>
 <![ %m68k [
           <p>&debian; &release; for the &arch-title; architecture ships with
           kernel versions 2.2.25 and 2.4.27. For some subarchitectures 2.6.8
@@ -176,7 +196,6 @@
           when completed.</p>
 
 <![ %i386 [ 
-
           <p>For the &arch-title; architecture, a special set of installation
           floppy disk images, "speakup", is available for the blind.
           These images have a special kernel that supports braille displays.
@@ -184,7 +203,6 @@
           documentation. See the <url id="&url-installer;index#speakup"
           name="debian-installer release page"> for further information
           on these images.</p>
-
 ]]>
 
 <!-- FJP: Maybe a short description of available installation methods could be
@@ -250,6 +268,12 @@
         </p>
 ]]>
 
+<![ %amd64 [
+        <p>Because support for AMD64 in 2.4 kernels is limited and rudimentary,
+        only 2.6 kernels are supported. Additionally, the glibc needs a tls and
+        nptl aware kernel, features not supported by 2.4 kernels at all.</p>
+]]>
+
 <![ %sparc [ 
       <sect id="sparc_kbd"><heading>Issues with keyboards on &arch-title;</heading>
 
@@ -281,6 +305,13 @@
       </sect>
 ]]>
 
+<![ %amd64 [
+        <p>The &releasename; release for the AMD64 architecture is not 
+        available in the official &debian; archive. For this reason, the
+        mirror list is different than for the official released architectures
+        and can be found at <url id="&url-debian-mirrors;"></p>
+]]>
+
       <sect id="popcon"><heading>Popularity contest</heading>
 
         <p>For technical reasons the <package/popularity-contest/ package is no longer installed by
@@ -302,6 +333,7 @@
       </chapt>
 
 
+<![ %not-amd64 [
       <chapt id="upgrading"><heading>Upgrades from previous releases</heading>
 
 <!-- For doc-writers' convenience:
@@ -1127,6 +1159,7 @@
          </sect1>
          </sect>
       </chapt>
+]]> <!-- %not-amd64 -->
 
 <!-- FJP: Add more info here on dealing with obsolete packages?
           Also how to purge packages that were deleted but still have conffiles
@@ -1135,6 +1168,14 @@
         <chapt id="information">
         <heading>Issues to be aware of for &releasename;</heading>
 
+<![ %amd64 [
+          <p>Since there is no &oldreleasename; of &debian; for the AMD64
+          architecture, the following sections are intended for users 
+          currently running a 2.4 based i386 installation and planning to
+          reinstall their systems to fully exploit the capabilities of the
+          AMD64 architecture.</p>
+]]>
+
 <!-- Controversial, disabled for now, please translate though
         <sect id="german-quotes"><heading>Problems with German Quotes</heading>
         
@@ -1208,7 +1249,7 @@
           module names may have changed. If this happens you will have to update
           this file with the new module names.</p>
 
-<![ %i386 [
+<![ %i386-amd64 [
           <p>For some SATA disk controllers, the device assigned to a drive and
           its partitions may change from <file>/dev/hdX</file> to
           <file>/dev/sdX</file>. If this happens, you will have to modify your
@@ -1225,6 +1266,7 @@
           prevents you booting the old kernel.</p>
 
 <![ %not-s390 [
+<![ %not-amd64 [
         <sect1 id="2.6-keyboard">
         <heading>Keyboard configuration</heading>
 
@@ -1257,6 +1299,7 @@
           first case you will not be affected by this issue.</p>
 ]]>
         </sect1>
+]]> <!-- %not-amd64 -->
 
         <sect1 id="2.6-mouse">
         <heading>Mouse configuration</heading>
@@ -1318,7 +1361,7 @@
         </sect>
 ]]> <!-- %available-2.6 -->
 
-<![ %i386 [
+<![ %i386-amd64 [
         <sect id="x-mouse">
         <heading>X Window System fails to load</heading>
 
@@ -1331,7 +1374,9 @@
           in <file>/etc/modules</file>.</p>
 
         </sect>
+]]>
 
+<![ %i386 [
         <sect id="x-transmeta">
         <heading>X Window System on Transmeta Crusoe systems</heading>
 
@@ -1663,6 +1708,7 @@
     </appendix>
 ]]>
 
+<![ %not-amd64 [
     <appendix id="old-stuff">
     <heading>Managing your &oldreleasename; system</heading>
 
@@ -1738,6 +1784,7 @@
        </sect>
 
     </appendix>
+]]> <!-- %not-amd64 -->
 
   </book>
 </debiandoc>

Attachment: pgpAjDUo1vs1w.pgp
Description: PGP signature


Reply to: